{% extends 'admin.html.twig' %}

{% block title %}Configurations index{% endblock %}

{% block body %}
    <h1 class="text-center p-4">Configurations</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                {# <th>CreatAt</th> #}
                <th></th>
            </tr>
        </thead>
        <tbody>
        {% for configuration in configurations %}
            <tr>
                <td><a  href="{{ path('configurations_show', {'id': configuration.id}) }}">{{ configuration.id }}</a></td>

                {# <td>{{ configuration.CreatAt ? configuration.CreatAt|date('Y-m-d') : '' }}</td> #}
                <td>
                    {{ include('configurations/_delete_form.html.twig') }}
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="3">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a class='btn btn-primary d-grid gap-2 col-2' href="{{ path('configurations_new') }}">Create new</a>
{% endblock %}
